Ask knowledge base
curl --request GET \
--url https://api.getpoppy.ai/api/conversation \
--header 'api_key: <api-key>'import requests
url = "https://api.getpoppy.ai/api/conversation"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.getpoppy.ai/api/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "Based on the information available, your favorite number is 444.",
"credits_used": 0.04975,
"credits_remaining": 1853.74585
}
Conversation Endpoints
Ask knowledge base
Ask a single question from the chat assistant and connected knowledge base
GET
/
api
/
conversation
Ask knowledge base
This endpoint allows you to ask a question and get an answer that incorporates all your connected knowledge sources and documents.
Query Parameters
string
Your API key for authentication
string
required
The ID of the board where the chat is located
string
required
The ID of the chat assistant
string
required
The user’s question or prompt for the AI
string
default:"claude-sonnet-5"
The AI model to use. Allowed values: claude-sonnet-5, claude-sonnet-4-6, claude-sonnet-4-5,
o3-mini, gpt-4o, grok-2-1212, gpt-4o-mini
string
default:false
Force the AI response to use plain text instead of markdown. Allowed values are “true” or
“active”. Any other value will disable plaintext.
string
default:false
Return the answer as a stream instead of a JSON. Allowed values are “true” or “active”. Any other
value will disable streaming.
string
default:" "
Additional information to provide as context to the AI
Response
string
The AI-generated response to the prompt
number
The number of credits used for this request
number
The total number of credits remaining in your account within this month period
{
"text": "Based on the information available, your favorite number is 444.",
"credits_used": 0.04975,
"credits_remaining": 1853.74585
}
This endpoint is functionally equivalent to the POST /api/conversation endpoint, but allows for
easier testing and integration in contexts where POST requests are difficult to implement.
